/*
 *  Copyright (C) 2013  Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _FRIEND_H
#define _FRIEND_H

#include <stdlib.h>

int sock_init(void);

struct friend;
struct cache;
int create_cache(struct cache **cache);
int destroy_cache(struct cache *cache);
int cache_add_friend(struct cache *cache, char *friend, char *address, char *port);
int load_cache(struct cache *cache, char *fname);
int store_cache(struct cache *cache, char *fname);

int friend_send_message(struct friend *friend, char *buffer, size_t len);

#endif
